Subject: Annotation parser for interfaces gets confused
Description

With the following constellation

Example.php
containing the class Example with a scope singleton

and

ExampleInterface.php
containing the interface ExampleInterface which is not implemented in the class Example.

in the same directory, the interface annotation parser will throw the following exception:

"Scope annotations in interfaces don't have any effect, therefore you better remove it from My\Package\ExampleInterface in order to
avoid confusion." (Exception code #1299095595)

Removing the scope from Example solves the exception in ExampleInterface.

History
#1 - 2012-03-07 16:36 - Karsten Dambekalns
- Category set to Object
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version set to 1.0.4

#2 - 2012-04-18 22:49 - Karsten Dambekalns
- Target version changed from 1.0.4 to 1.0.5

#3 - 2012-06-05 21:20 - Karsten Dambekalns
- Target version changed from 1.0.5 to 1.1 RC1

#4 - 2012-06-25 21:55 - Karsten Dambekalns
- Status changed from Accepted to Closed

WIth 1.0.5-dev and 1.1.0-dev this works fine. Feel free to reopen if this is still an issue. Thanks!
